<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionMapMarkerPlayer Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d71/a06390.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ExpansionMapMarkerPlayer Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionMapMarkerPlayer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d9/d71/a06390.png" usemap="#ExpansionMapMarkerPlayer_map" alt=""/>
  <map id="ExpansionMapMarkerPlayer_map" name="ExpansionMapMarkerPlayer_map">
<area href="../../d1/d03/a06386.html" alt="ExpansionMapMarker" shape="rect" coords="0,0,173,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ad2f5f33b0adbce71eea6b06e8165f289"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d71/a06390.html#ad2f5f33b0adbce71eea6b06e8165f289">IsEditButton</a> (Widget w)</td></tr>
<tr class="separator:ad2f5f33b0adbce71eea6b06e8165f289"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20f3f2db841dc175a8ae97a55224f269"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d71/a06390.html#a20f3f2db841dc175a8ae97a55224f269">IsDragWidget</a> (Widget w)</td></tr>
<tr class="separator:a20f3f2db841dc175a8ae97a55224f269"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a722e844055cd886df4faeff055107521"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d71/a06390.html#a722e844055cd886df4faeff055107521">CanEditName</a> ()</td></tr>
<tr class="separator:a722e844055cd886df4faeff055107521"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ea93cfc98694c3441b79d1aae829552"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d71/a06390.html#a7ea93cfc98694c3441b79d1aae829552">CanEdit</a> ()</td></tr>
<tr class="separator:a7ea93cfc98694c3441b79d1aae829552"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../dd/d07/a02132.html">ExpansionMapMarkerPlayer.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../dd/d07/a02132_source.html#l00013">13</a> of file <a class="el" href="../../dd/d07/a02132_source.html">expansionmapmarkerplayer.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a7ea93cfc98694c3441b79d1aae829552" name="a7ea93cfc98694c3441b79d1aae829552"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ea93cfc98694c3441b79d1aae829552">&#9670;&#160;</a></span>CanEdit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionMapMarkerPlayer::CanEdit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d07/a02132_source.html#l00042">42</a> of file <a class="el" href="../../dd/d07/a02132_source.html">expansionmapmarkerplayer.c</a>.</p>

</div>
</div>
<a id="a722e844055cd886df4faeff055107521" name="a722e844055cd886df4faeff055107521"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a722e844055cd886df4faeff055107521">&#9670;&#160;</a></span>CanEditName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionMapMarkerPlayer::CanEditName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d07/a02132_source.html#l00034">34</a> of file <a class="el" href="../../dd/d07/a02132_source.html">expansionmapmarkerplayer.c</a>.</p>

</div>
</div>
<a id="a20f3f2db841dc175a8ae97a55224f269" name="a20f3f2db841dc175a8ae97a55224f269"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20f3f2db841dc175a8ae97a55224f269">&#9670;&#160;</a></span>IsDragWidget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionMapMarkerPlayer::IsDragWidget </td>
          <td>(</td>
          <td class="paramtype">Widget&#160;</td>
          <td class="paramname"><em>w</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d07/a02132_source.html#l00026">26</a> of file <a class="el" href="../../dd/d07/a02132_source.html">expansionmapmarkerplayer.c</a>.</p>

</div>
</div>
<a id="ad2f5f33b0adbce71eea6b06e8165f289" name="ad2f5f33b0adbce71eea6b06e8165f289"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2f5f33b0adbce71eea6b06e8165f289">&#9670;&#160;</a></span>IsEditButton()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionMapMarkerPlayer::IsEditButton </td>
          <td>(</td>
          <td class="paramtype">Widget&#160;</td>
          <td class="paramname"><em>w</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d07/a02132_source.html#l00018">18</a> of file <a class="el" href="../../dd/d07/a02132_source.html">expansionmapmarkerplayer.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Navigation/Scripts/5_mission/dayzexpansion_navigation/<a class="el" href="../../dd/d07/a02132_source.html">expansionmapmarkerplayer.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d9/d71/a06390.html">ExpansionMapMarkerPlayer</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
